# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=broad
TARGET=broad.tif
PROJECT_FILE=/mnt/media/pictures/2008/0507-451/2008-03-26-downtown/broad.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2008/0507-451/2008-03-26-downtown/sta_2073.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stb_2074.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stc_2075.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/std_2076.jpg 

# remapped images
REMAPPED_IMAGES=broad0000.tif broad0001.tif broad0002.tif broad0003.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v -z -f5779x2234


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


